Subject: [bug#73073] [PATCH v3 2/8] gnu: gnome-recipes: Move libgd origin from phases to native-inputs.

From: Simon Tournier <[email-masked]>
Date: Thu, 12 Dec 2024 23:34:22 +0100

Hi,

On Thu, 12 Dec 2024 at 23:18, Liliana Marie Prikler <[email-masked]> wrote:

>> > > +                           (file-name (git-file-name "libgd" version))
>> >
>> > Not sure what the state of this is here, but again noting that
>> > "version" has no meaning in the libgd input and "checkout" would be
>> > more honest.
>>
>> You’re right, though packages do have a ‘version’ field; use of
>> ‘git-file-name’ here follows established convention in Guix.
>
> Does it?  Assume libfoo 3.0 and libbar 0.1.0 pull in the same libgd.
> What happens?

Not sure it really matter since it’s a fixed output.  The item reads:

    /gnu/store/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx-libgd-YYYY

where xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx is determined by the SHA256
checksum.  Therefore, YYYY can be anything, it does not really matter.

At worse, the item is downloaded several times, say by libfoo 3.0 and
libbar 0.1.0.

All in all, I agree that the best solution here is simply:

    (file-name "libgd-checkout")

Cheers,
simon